Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.getcoverage
Class GetCoverage

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wcs.WCSRequestBase
              org.deegree.ogcwebservices.wcs.getcoverage.GetCoverage

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetCoverage

extends WCSRequestBase

encapsulates a WCS GetCoverage request

Since:
  2.0
Version:
  $Revision: 24440 $, 1.0. $Revision: 24440 $, $Date: 2010-05-18 11:53:54 +0200 (Di, 18. Mai 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $
See Also:
  Serialized Form

Constructor Summary
`GetCoverage(String id, String version, String sourceCoverage, DomainSubset domainSubset, InterpolationMethod interpolationMethod, Output output)`
`GetCoverage(String id, String version, String sourceCoverage, DomainSubset domainSubset, Output output)`
`GetCoverage(String id, String version, String sourceCoverage, DomainSubset domainSubset, RangeSubset rangeSubset, InterpolationMethod interpolationMethod, Output output)`
`GetCoverage(String id, String version, String sourceCoverage, DomainSubset domainSubset, RangeSubset rangeSubset, Output output)`

Method Summary
`static GetCoverage` | `create(Map<String,String> map)` creates a GetCoverage request from its KVP representation
`static GetCoverage` | `create(String id, Document doc)` creates a GetCoverage request from its XML representation
`static GetCoverage` | `create(String id, String kvp)` creates a GetCoverage request from its KVP representation
`static Output` | `createOutput(String response_crs, String crsNS, String format, String formatNS)` creates an `Output` object for a GetCoverage request
`static SpatialSubset` | `createSpatialSubset(Map<String,String> map, String crs)`
`DomainSubset` | `getDomainSubset()`
`InterpolationMethod` | `getInterpolationMethod()`
`Output` | `getOutput()`
`RangeSubset` | `getRangeSubset()`
`String` | `getRequestParameter()` returns the URI of a HTTP GET request.
`String` | `getSourceCoverage()`
`String` | `toString()`
`protected void` | `validate()`

Methods inherited from class org.deegree.ogcwebservices.wcs.WCSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetCoverage

    public GetCoverage(String id,
                       String version,
                       String sourceCoverage,
                       DomainSubset domainSubset,
                       Output output)
                throws WCSException,
                       OGCWebServiceException

Parameters:
  `id` -
  `version` -
  `sourceCoverage` -
  `domainSubset` -
  `output` -
Throws:
  `WCSException`
  `OGCWebServiceException`

### GetCoverage

    public GetCoverage(String id,
                       String version,
                       String sourceCoverage,
                       DomainSubset domainSubset,
                       InterpolationMethod interpolationMethod,
                       Output output)
                throws WCSException,
                       OGCWebServiceException

Parameters:
  `id` -
  `version` -
  `sourceCoverage` -
  `domainSubset` -
  `interpolationMethod` -
  `output` -
Throws:
  `WCSException`
  `OGCWebServiceException`

### GetCoverage

    public GetCoverage(String id,
                       String version,
                       String sourceCoverage,
                       DomainSubset domainSubset,
                       RangeSubset rangeSubset,
                       Output output)
                throws WCSException,
                       OGCWebServiceException

Parameters:
  `id` -
  `version` -
  `sourceCoverage` -
  `domainSubset` -
  `rangeSubset` -
  `output` -
Throws:
  `WCSException`
  `OGCWebServiceException`

### GetCoverage

    public GetCoverage(String id,
                       String version,
                       String sourceCoverage,
                       DomainSubset domainSubset,
                       RangeSubset rangeSubset,
                       InterpolationMethod interpolationMethod,
                       Output output)
                throws WCSException,
                       OGCWebServiceException

Parameters:
  `id` -
  `version` -
  `sourceCoverage` -
  `domainSubset` -
  `rangeSubset` -
  `interpolationMethod` -
  `output` -
Throws:
  `WCSException`
  `OGCWebServiceException`

Method Detail

### create

    public static GetCoverage create(String id,
                                     String kvp)
                              throws OGCWebServiceException,
                                     WCSException

  creates a GetCoverage request from its KVP representation

  Parameters:
    `id` - unique ID of the request
    `kvp` - request
  Returns:
    created `GetCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `WCSException` - will be thrown if a WCS/GetCoverage specific part of the request is erroreous

### create

    public static GetCoverage create(Map<String,String> map)
                              throws OGCWebServiceException,
                                     MissingParameterValueException,
                                     InvalidParameterValueException

  creates a GetCoverage request from its KVP representation

  Parameters:
    `map` - request
  Returns:
    created `GetCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `WCSException` - will be thrown if a WCS/GetCoverage specific part of the request is erroreous

### create

    public static GetCoverage create(String id,
                                     Document doc)
                              throws OGCWebServiceException,
                                     WCSException

  creates a GetCoverage request from its XML representation

  Parameters:
    `id` - unique ID of the request
    `doc` - XML representation of the request
  Returns:
    created `DescribeCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `WCSException` - will be thrown if a WCS/GetCoverage specific part of the request is erroreous

### createSpatialSubset

    public static final SpatialSubset createSpatialSubset(Map<String,String> map,
                                                          String crs)
                                                   throws WCSException

  Parameters:
    `map` -
    `crs` -
  Returns:
    a new SpatialSubset with given crs
  Throws:
    `WCSException`

### createOutput

    public static final Output createOutput(String response_crs,
                                            String crsNS,
                                            String format,
                                            String formatNS)
                                     throws WCSException

  creates an `Output` object for a GetCoverage request

  Parameters:
    `response_crs` -
    `crsNS` -
    `format` -
    `formatNS` -
  Returns:
    an Output
  Throws:
    `WCSException` - will be thrown if the response_crs prefix isn't a valid URI

### getDomainSubset

    public DomainSubset getDomainSubset()

  Returns:
    Returns the domainSubset.

### getInterpolationMethod

    public InterpolationMethod getInterpolationMethod()

  Returns:
    Returns the interpolationMethod.

### getOutput

    public Output getOutput()

  Returns:
    Returns the output.

### getRangeSubset

    public RangeSubset getRangeSubset()

  Returns:
    Returns the rangeSubset.

### getSourceCoverage

    public String getSourceCoverage()

  Returns:
    Returns the sourceCoverage.

### validate

    protected void validate()
                     throws WCSException

  Throws:
    `WCSException`

### getRequestParameter

    public String getRequestParameter()
                               throws OGCWebServiceException

  Description copied from class: `AbstractOGCWebServiceRequest`
  returns the URI of a HTTP GET request. If the request doesn't support HTTP GET a `WebServiceException` will be thrown

  Specified by:
    `getRequestParameter` in interface `OGCWebServiceRequest`
  Overrides:
    `getRequestParameter` in class `AbstractOGCWebServiceRequest`
  Returns:
    the URI of a HTTP GET request. If the request doesn't support HTTP GET a `WebServiceException` will be thrown
  Throws:
    `OGCWebServiceException`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractOGCWebServiceRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org